﻿using Infragistics.Win.UltraWinTree;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BindingListsToTree
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }
        private void Form1_Load(object sender, EventArgs e)
        {
            BindingList<string> dataSourceGrid = new BindingList<string>();
            for (int i = 0; i < 3; i++)
                dataSourceGrid.Add("Task" + i.ToString());

            var list = new List<Person>()
            {
                new Person { Name = "Joe", Surname = "Mr", Tasks = dataSourceGrid},
                new Person { Name = "Misha", Surname = "Mrs", Tasks = dataSourceGrid},
            };
            var list2 = new List<Person>()
            {
                new Person { Name = "Bob", Surname = "Mr", Tasks = dataSourceGrid},
                new Person { Name = "Mark", Surname = "Mr", Tasks = dataSourceGrid},
            };
            
            var bindinglist = new BindingList<Person>(list).Concat(new BindingList<Person>(list2));
           
            var source = new BindingSource(bindinglist, null);
            ultraTree1.DataSource = source;            
        }
        class Person
        {
            public string Name { get; set; }
            public string Surname { get; set; }
            public BindingList<string> Tasks {get; set;}
        }
    }
}
